#include<iostream>
#include<stdio.h>
using namespace std;
int main()
{
	int m,n,x=0,a,b;
	scanf("%d%d",&m,&n);
	a=n-2;
	b=m-2;	
	if(m!=1 && n!=1) x=(a*b)/2 + 2*(m+n-2);
	else x=m+n-1;
	
	printf("%d",x);
	return 0;
}